Package org.apache.activemq.artemis.api.core

## Class JGroupsFileBroadcastEndpointFactory

- java.lang.Object
- - org.apache.activemq.artemis.api.core.JGroupsFileBroadcastEndpointFactory

- All Implemented Interfaces:
    `java.io.Serializable`, `BroadcastEndpointFactory`

      public class JGroupsFileBroadcastEndpointFactory
      extends java.lang.Object
      implements BroadcastEndpointFactory

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JGroupsFileBroadcastEndpointFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BroadcastEndpoint` | `createBroadcastEndpoint()` |
    `java.lang.String` | `getChannelName()` |
    `java.lang.String` | `getFile()` |
    `JGroupsFileBroadcastEndpointFactory` | `setChannelName​(java.lang.String channelName)` |
    `JGroupsFileBroadcastEndpointFactory` | `setFile​(java.lang.String file)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JGroupsFileBroadcastEndpointFactory

          public JGroupsFileBroadcastEndpointFactory()

  - ### Method Detail

    - #### createBroadcastEndpoint

          public BroadcastEndpoint createBroadcastEndpoint()
                                                    throws java.lang.Exception

      Specified by:
        `createBroadcastEndpoint` in interface `BroadcastEndpointFactory`
      Throws:
        `java.lang.Exception`

    - #### getFile

          public java.lang.String getFile()

    - #### setFile

          public JGroupsFileBroadcastEndpointFactory setFile​(java.lang.String file)

    - #### getChannelName

          public java.lang.String getChannelName()

    - #### setChannelName

          public JGroupsFileBroadcastEndpointFactory setChannelName​(java.lang.String channelName)